## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_without check

%global crate szip

Name:           rust-szip
Version:        1.0.0
Release:        %autorelease
Summary:        Fast command line tool for snappy compression and decompression

License:        BSD-3-Clause
URL:            https://crates.io/crates/szip
Source:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24
BuildRequires:  help2man

%global _description %{expand:
A fast command line tool for snappy compression and decompression.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
License:        BSD-3-Clause AND MIT AND (MIT OR Apache-2.0)

# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license COPYING
%license LICENSE.dependencies
%doc README.md
%{_bindir}/szip
%{_mandir}/man1/szip.1*

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies
help2man --no-info --output=szip.1 ./target/rpm/szip

%install
%cargo_install
install -t '%{buildroot}%{_mandir}/man1' -D -p -m 0644 szip.1

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Mon Jan 15 2024 Arkady L. Shane <tigro@msvsphere-os.ru> - 1.0.0-3
- Rebuilt for MSVSphere 9.3

* Tue Dec 05 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.0.0-3
- Rebuilt for rust-snap 1.1.1

* Tue Dec 05 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.0.0-2
- Rebuilt for rust-snap 1.1.1

* Mon Nov 13 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.0.0-1
- Initial package (close RHBZ#2249520)
